/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *     
 * Port to the D programming language:
 *     Jacob Carlborg <jacob.carlborg@gmail.com>
 *******************************************************************************/
module dwt.internal.cocoa.SWTTabView;

import dwt.internal.cocoa.NSInteger;
import dwt.internal.cocoa.NSTabView;
import dwt.internal.cocoa.OS;
import objc = dwt.internal.objc.runtime;

public class SWTTabView : NSTabView {

    public this () {
        super(null);
    }

    public this (objc.id id) {
        super(id);
    }

    public void setTag (NSInteger tag) {
        OS.objc_msgSend(id_, OS.sel_setTag_1, tag);
    }
}
